## mc-foo 0.0.6

=== debian/changelog ===
mc-foo (0.0.6) unstable; urgency=low

  * New-style twisted.spread.pb calls.
  * Use a Twisted plugin for tap creation.
  * Install the README file in the package (Closes: #129173).
  * Remove the postrm, it's obsolete (Closes: #128557).

 -- Tommi Virtanen <tv@debian.org>  Fri, 12 Apr 2002 19:55:00 +0300

mc-foo (0.0.5) unstable; urgency=low

  * If opening /dev/sound/mixer fails, /dev/mixer is tried.
  * Volume control now controls PCM volume, not the master
    volume.
  * Changed the package to be architecture-independent, there
    are no C parts left here.
  * Added Build-Depends-Indep: python2.1-dev (Closes: #127796).
  * After creating the install directory, chmod it 0755 to make
    sure building in a sgid dir creates a valid DEBIAN dir
    (Closes: #127799).

 -- Tommi Virtanen <tv@debian.org>  Fri,  4 Jan 2002 22:14:01 +0200

mc-foo (0.0.4) unstable; urgency=low

  * Nearly a complete rewrite, using Twisted.
  * There is no automation to clean up after older
    versions when upgrading;
    run "rm -rf /var/cache/mc-foo /var/lib/mc-foo"
    and "groupdel mcfoo"

 -- Tommi Virtanen <tv@debian.org>  Wed, 19 Dec 2001 20:22:23 +0200

mc-foo (0.0.3) unstable; urgency=low

  * It took me three days to learn Python and rewrite most of MC Foo in
    it. I'm happy. From 3300 lines of C to 600 lines of Python. And no
    segfaults.

 -- Tommi Virtanen <tv@debian.org>  Sat, 26 May 2001 16:07:44 +0300

mc-foo (0.0.2) unstable; urgency=low

  * New version.
  * Make it a native package.

 -- Tommi Virtanen <tv@debian.org>  Tue, 23 May 2000 22:55:00 +0300

mc-foo (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Thu, 27 Jan 2000 21:52:30 +0200
