=== debian/control ===
Source: mc-foo
Section: sound
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: python2.1-dev

Package: mc-foo
Architecture: all
Depends: python (>= 2.1), python (<< 2.2), python-pyao, python-pyvorbis, python-tk, python-pmw (>= 0.8.5-3), python-oss, twisted (>= 0.15.5), mpg321, python-id3
Description: an advanced, learning, mp3 jukebox
 MC Foo is an advanced, adaptive and learning mp3 jukebox server.
 .
   -continuous music playing
   -learns what music you like and dislike
   -no static playlists; uses a playqueue you can view and alter
   -can be controlled from any hosts and even with 
    infrared remote controllers
   -allows multiple user/preference profiles,
    according to whose listening and his or her mood
 .
 Note that MC Foo is in the early stages of development, and not
 everything works yet.
