## mc-foo 0.0.13

=== debian/changelog ===
mc-foo (0.0.13) unstable; urgency=low

  * Switch to using python 2.3. Closes: #206306.
  * Make setup.py not have python version hard-coded in it.
  * Switch to using CDBS.
  * Protect against negative time locations on Ogg files.
  * Fix a typo that made volume adjustment fail with AttributeError on
    _read. Closes: #189084.

 -- Tommi Virtanen <tv@debian.org>  Sat, 30 Aug 2003 11:57:30 +0300

mc-foo (0.0.12) unstable; urgency=low

  * Correct the path to plugins.tml (Closes: #165990).
  * If the mixer has no PCM channel, fall back to using master volume
    (Closes: #129175).

 -- Tommi Virtanen <tv@debian.org>  Thu, 13 Feb 2003 19:42:41 +0200

mc-foo (0.0.11) unstable; urgency=low

  * Cleanups and fixes to make it work better with python2.2 
    and newer twisted.
  * Be mad, not hip; switched the mp3 decoder.
  * Save a dj-snapshot.tap every 60 seconds.

 -- Tommi Virtanen <tv@debian.org>  Sun, 13 Oct 2002 16:38:32 +0300

mc-foo (0.0.10) unstable; urgency=low

  * Python 2.2 is now default (Closes: #161559).
  * No more /usr/doc.

 -- Tommi Virtanen <tv@debian.org>  Sun, 13 Oct 2002 13:19:30 +0300

mc-foo (0.0.9) unstable; urgency=low

  * New command "mc-foo grep" to search the songs.
  * Pretty-print "mc-foo getscores" output.
  * Bugfix, missing argument made "mc-foo next" fail.

 -- Tommi Virtanen <tv@debian.org>  Wed, 10 Jul 2002 15:27:00 +0300

mc-foo (0.0.8) unstable; urgency=low

  * New command "mc-foo pauseorplay" toggles playback.
  * New commands "mc-foo dislike", "mc-foo hate" to say you
    don't like a song.
  * New commands "mc-foo {get,set}{read,write}profile" to say
    what profiles are active and what profiles are in learning
    mode.  
  * New command "mc-foo getscores" dumps the profile as a python
    dict. No "mc-foo setscores" yet.
  * New command "mc-foo mousecontrol" (only if you have CVS Twisted),
    allowing you to control dj with a mouse. Note, this is _raw_ mouse
    protocol for MouseMan mice only, no support from X or GPM required
    so you can use it even when your X session is locked, just plug an
    old mouse into a serial port.
  * Command "mc-foo next" now takes --dislike or --hate flag to also mark
    song as disliked.
  * Fixes a timer-related bug where song playback just would not pause.

 -- Tommi Virtanen <tv@debian.org>  Wed, 10 Jul 2002 00:29:45 +0300

mc-foo (0.0.7) unstable; urgency=low

  * No longer use mpg321, python-hip is a python lib to decode mp3s.
    The turntable subprocess is gone, it's all in one process now.
  * No longer use ao, it couldn't provide the non-blocking interface I
    want. Aiming for a pure-python solution, currently have to hardcode
    a few ioctl(2) values.
  * For songs where the decoding library can provide timing information
    and seeking (oggs), the tap file now remembers the exact location
    in the song.
  * "mc-foo addqueue" now takes multiple song names, priority
    is now an optional flag.
  * Twisted API changes, reactors etc.
  * Twisted packaging changes, now depend on python2.1-twisted.
  * Some minor bugfixes.

 -- Tommi Virtanen <tv@debian.org>  Fri, 21 Jun 2002 11:57:01 +0300
