=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
 Standards-Version: 3.5.6
-Build-Depends-Indep: python2.1-dev
+Build-Depends-Indep: python-dev (>= 2.3), python-dev (<< 2.4), debhelper (>= 4.1.60), cdbs (>= 0.4.0.1)
 
 Package: mc-foo
 Architecture: all
-Depends: python (>= 2.1), python (<< 2.2), python-pyao, python-pyvorbis, python-tk, python-pmw (>= 0.8.5-3), python-oss, twisted (>= 0.15.5), mpg321, python-id3
-Description: an advanced, learning, mp3 jukebox
- MC Foo is an advanced, adaptive and learning mp3 jukebox server.
+Depends: ${python:Depends}, python-pyvorbis, python-tk, python-pmw (>= 0.8.5-3), python-oss, python-twisted, python-id3, python-pymad
+Description: an advanced, learning, Ogg/MP3 jukebox
+ MC Foo is an advanced, adaptive and learning Ogg/MP3 jukebox server.
  .
    -continuous music playing
    -learns what music you like and dislike
