## mc-foo 0.0.13ubuntu1

=== debian/changelog ===
mc-foo (0.0.13ubuntu1) hoary; urgency=low

  * Rebuild for python2.4
  * Standards Version 3.6.1.1 

 -- Charles Majola <charles@ubuntu.com>  Fri, 25 Feb 2005 12:58:12 +0200
