=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: python-dev (>= 2.3), python-dev (<< 2.4), debhelper (>= 4.1.60), cdbs (>= 0.4.0.1)
+Standards-Version: 3.6.1.1
+Build-Depends-Indep: python-dev (>= 2.3), debhelper (>= 4.1.60), cdbs (>= 0.4.0.1)
 
 Package: mc-foo
 Architecture: all
