## mc-foo 0.0.13ubuntu2

=== debian/changelog ===
mc-foo (0.0.13ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:20:37 +0000
